Subject: Re: bug#76120: [PATCH] Expose the native sharing dialog (macOS)

From: Visuwesh <[email-masked]>
Date: Mon, 10 Feb 2025 07:31:30 +0530

[திங்கள் பிப்ரவரி 10, 2025] Björn Bidar via "Bug reports for GNU Emacs, the Swiss army knife of text editors" wrote:

> Stefan Kangas <[email-masked]> writes:
>
>>>> Would you or anyone else be interested in implementing this for
>>>> GNU/Linux as well?  I don't think we need perfect coverage of
>>>> all
>>>> desktop environments, but it would be useful to support it on
>>>> one or more
>>>> popular ones (for example Gnome or KDE).
>>>
>>> Skills-wise, I wouldn't be the best candidate to make the
>>> Linux-related changes. I could try reaching out to Carl Lieberman,
>>> author of https://github.com/carldotac/kdeconnect.el, to see if
>>> they'd be inclined to contribute their package upstream.
>>>
>>>> This would also be a good opportunity to generalize the feature,
>>>> so that
>>>> instead of having `ns-share`, we would have a command named
>>>> `share-file`
>>>> or something like that.
>>>
>>> Without a Linux partner to help with the counter changes, I'm less
>>> likely to take on the additional scope.
>>>
>>> I could also reach out to emacs-devel if you reckon it's
>>> appropriate to scout Linux support.
>>
>> Asking Carl Lieberman might be a useful step.  Asking on emacs-devel
>> would also be useful, to see if other people have any comments.
>
> kdeconnect.el doesn't implement any dialog to "share" a file but only
> invokes KDEconnect CLI to share a file.

Personally, I think we might be better served by using the dbus
interface directly.  I have the attached in my init file which could be
a reference.  Of course, as you point out, there's no share to other
applications; only to devices.